searchNodes=[{"ref":"GoogleApi.PubSub.V1.Api.Projects.html","title":"GoogleApi.PubSub.V1.Api.Projects","module":"GoogleApi.PubSub.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_create/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Creates a snapshot from the requested subscription. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. &lt;br&gt;&lt;br&gt;If the snapshot already exists, returns &#x60;ALREADY_EXISTS&#x60;. If the requested subscription doesn&#39;t exist, returns &#x60;NOT_FOUND&#x60;. If the backlog in the subscription is too old -- and the resulting snapshot would expire in less than 1 hour -- then &#x60;FAILED_PRECONDITION&#x60; is returned. See also the &#x60;Snapshot.expire_time&#x60; field. If the name is not provided in the request, the server will assign a random name for this snapshot on the same project as the subscription, conforming to the resource name format. The generated name is populated in the returned Snapshot object. Note that for REST API requests, you must specify a name in the request. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. Optional user-provided name for this snapshot. If the name is not provided in the request, the server will assign a random name for this snapshot on the same project as the subscription. Note that for REST API requests, you must specify a name. See the &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/admin#resource_names&quot;&gt; resource name rules&lt;/a&gt;. Format is &#x60;projects/{project}/snapshots/{snap}&#x60;. snapshots_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateSnapshotRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_delete/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Removes an existing snapshot. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot.&lt;br&gt;&lt;br&gt; When the snapshot is deleted, all messages retained in the snapshot are immediately dropped. After a snapshot is deleted, a new one may be created with the same name, but the new one has no association with the old snapshot or its subscription, unless the same subscription is specified. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;snapshot&#x60;. The name of the snapshot to delete. Format is &#x60;projects/{project}/snapshots/{snap}&#x60;. snapshots_id (String.t): Part of &#x60;snapshot&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_get/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the configuration details of a snapshot. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;snapshot&#x60;. The name of the snapshot to get. Format is &#x60;projects/{project}/snapshots/{snap}&#x60;. snapshots_id (String.t): Part of &#x60;snapshot&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_get_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. snapshots_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_list/4","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Lists the existing snapshots. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;project&#x60;. The name of the project in which to list snapshots. Format is &#x60;projects/{project-id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of snapshots to return. :pageToken (String.t): The value returned by the last &#x60;ListSnapshotsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListSnapshots&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.PubSub.V1.Model.ListSnapshotsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_patch/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Updates an existing snapshot. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;snapshot.name&#x60;. The name of the snapshot. snapshots_id (String.t): Part of &#x60;snapshot.name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateSnapshotRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Snapshot{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_set_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Sets the access control policy on the specified resource. Replaces any existing policy. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. snapshots_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_snapshots_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_snapshots_test_iam_permissions/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. snapshots_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_acknowledge/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_acknowledge/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Acknowledges the messages associated with the &#x60;ack_ids&#x60; in the &#x60;AcknowledgeRequest&#x60;. The Pub/Sub system can remove the relevant messages from the subscription. Acknowledging a message whose ack deadline has expired may succeed, but such a message may be redelivered later. Acknowledging a message more than once will not result in an error. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The subscription whose message is being acknowledged. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (AcknowledgeRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_create/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Creates a subscription to a given topic. See the &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/admin#resource_names&quot;&gt; resource name rules&lt;/a&gt;. If the subscription already exists, returns &#x60;ALREADY_EXISTS&#x60;. If the corresponding topic doesn&#39;t exist, returns &#x60;NOT_FOUND&#x60;. If the name is not provided in the request, the server will assign a random name for this subscription on the same project as the topic, conforming to the resource name format. The generated name is populated in the returned Subscription object. Note that for REST API requests, you must specify a name in the request. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projectsid (String.t): Part of &#x60;name&#x60;. The name of the subscription. It must have the format &#x60;&quot;projects/{project}/subscriptions/{subscription}&quot;&#x60;. &#x60;{subscription}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. subscriptions_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Subscription): Returns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_delete/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Deletes an existing subscription. All messages retained in the subscription are immediately dropped. Calls to &#x60;Pull&#x60; after deletion will return &#x60;NOT_FOUND&#x60;. After a subscription is deleted, a new one may be created with the same name, but the new one has no association with the old subscription or its topic unless the same topic is specified. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The subscription to delete. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_get/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the configuration details of a subscription. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The name of the subscription to get. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_get_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. subscriptions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_list/4","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Lists matching subscriptions. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;project&#x60;. The name of the project in which to list subscriptions. Format is &#x60;projects/{project-id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of subscriptions to return. :pageToken (String.t): The value returned by the last &#x60;ListSubscriptionsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListSubscriptions&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_modify_ack_deadline/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_modify_ack_deadline/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Modifies the ack deadline for a specific message. This method is useful to indicate that more time is needed to process a message by the subscriber, or to make the message available for redelivery if the processing was interrupted. Note that this does not modify the subscription-level &#x60;ackDeadlineSeconds&#x60; used for subsequent messages. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The name of the subscription. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ModifyAckDeadlineRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_modify_push_config/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_modify_push_config/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Modifies the &#x60;PushConfig&#x60; for a specified subscription. This may be used to change a push subscription to a pull one (signified by an empty &#x60;PushConfig&#x60;) or vice versa, or change the endpoint URL and other attributes of a push subscription. Messages will accumulate for delivery continuously through the call regardless of changes to the &#x60;PushConfig&#x60;. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The name of the subscription. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ModifyPushConfigRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_patch/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Updates an existing subscription. Note that certain properties of a subscription, such as its topic, are not modifiable. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projectsid (String.t): Part of &#x60;subscription.name&#x60;. The name of the subscription. It must have the format &#x60;&quot;projects/{project}/subscriptions/{subscription}&quot;&#x60;. &#x60;{subscription}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. subscriptions_id (String.t): Part of &#x60;subscription.name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateSubscriptionRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Subscription{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_pull/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_pull/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Pulls messages from the server. The server may return &#x60;UNAVAILABLE&#x60; if there are too many concurrent pull requests pending for the given subscription. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The subscription from which messages should be pulled. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (PullRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.PullResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_seek/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_seek/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Seeks an existing subscription to a point in time or to a given snapshot, whichever is provided in the request. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Note that both the subscription and the snapshot must be on the same topic. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;subscription&#x60;. The subscription to affect. subscriptions_id (String.t): Part of &#x60;subscription&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SeekRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.SeekResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_set_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Sets the access control policy on the specified resource. Replaces any existing policy. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. subscriptions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_subscriptions_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_subscriptions_test_iam_permissions/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. subscriptions_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_create/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_create/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Creates the given topic with the given name. See the &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/admin#resource_names&quot;&gt; resource name rules&lt;/a&gt;. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projectsid (String.t): Part of &#x60;name&#x60;. The name of the topic. It must have the format &#x60;&quot;projects/{project}/topics/{topic}&quot;&#x60;. &#x60;{topic}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. topics_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Topic): Returns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_delete/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_delete/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Deletes the topic with the given name. Returns &#x60;NOTFOUND&#x60; if the topic does not exist. After a topic is deleted, a new topic may be created with the same name; this is an entirely new topic with none of the old configuration or subscriptions. Existing subscriptions to this topic are not deleted, but their &#x60;topic&#x60; field is set to &#x60;_deleted-topic&#x60;. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;topic&#x60;. Name of the topic to delete. Format is &#x60;projects/{project}/topics/{topic}&#x60;. topics_id (String.t): Part of &#x60;topic&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_get/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_get/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the configuration of a topic. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;topic&#x60;. The name of the topic to get. Format is &#x60;projects/{project}/topics/{topic}&#x60;. topics_id (String.t): Part of &#x60;topic&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_get_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_get_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. topics_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_list/4","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_list/4","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Lists matching topics. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;project&#x60;. The name of the project in which to list topics. Format is &#x60;projects/{project-id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of topics to return. :pageToken (String.t): The value returned by the last &#x60;ListTopicsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListTopics&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_patch/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_patch/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Updates an existing topic. Note that certain properties of a topic are not modifiable. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projectsid (String.t): Part of &#x60;topic.name&#x60;. The name of the topic. It must have the format &#x60;&quot;projects/{project}/topics/{topic}&quot;&#x60;. &#x60;{topic}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. topics_id (String.t): Part of &#x60;topic.name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateTopicRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Topic{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_publish/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_publish/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Adds one or more messages to the topic. Returns &#x60;NOT_FOUND&#x60; if the topic does not exist. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;topic&#x60;. The messages in the request will be published on this topic. Format is &#x60;projects/{project}/topics/{topic}&#x60;. topics_id (String.t): Part of &#x60;topic&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (PublishRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.PublishResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_set_iam_policy/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_set_iam_policy/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Sets the access control policy on the specified resource. Replaces any existing policy. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. topics_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_snapshots_list/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_snapshots_list/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Lists the names of the snapshots on this topic. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;topic&#x60;. The name of the topic that snapshots are attached to. Format is &#x60;projects/{project}/topics/{topic}&#x60;. topics_id (String.t): Part of &#x60;topic&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of snapshot names to return. :pageToken (String.t): The value returned by the last &#x60;ListTopicSnapshotsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListTopicSnapshots&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_subscriptions_list/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_subscriptions_list/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Lists the names of the subscriptions on this topic. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;topic&#x60;. The name of the topic that subscriptions are attached to. Format is &#x60;projects/{project}/topics/{topic}&#x60;. topics_id (String.t): Part of &#x60;topic&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of subscription names to return. :pageToken (String.t): The value returned by the last &#x60;ListTopicSubscriptionsResponse&#x60;; indicates that this is a continuation of a prior &#x60;ListTopicSubscriptions&#x60; call, and that the system should return the next page of data. Returns {:ok, %GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Api.Projects.html#pubsub_projects_topics_test_iam_permissions/5","title":"GoogleApi.PubSub.V1.Api.Projects.pubsub_projects_topics_test_iam_permissions/5","module":"GoogleApi.PubSub.V1.Api.Projects","type":"function","doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may &quot;fail open&quot; without warning. Parameters connection (GoogleApi.PubSub.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. topics_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.PubSub.V1.Connection.html","title":"GoogleApi.PubSub.V1.Connection","module":"GoogleApi.PubSub.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.PubSub.V1."},{"ref":"GoogleApi.PubSub.V1.Connection.html#delete/3","title":"GoogleApi.PubSub.V1.Connection.delete/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#delete!/3","title":"GoogleApi.PubSub.V1.Connection.delete!/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#execute/2","title":"GoogleApi.PubSub.V1.Connection.execute/2","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.PubSub.V1.Connection.html#get/3","title":"GoogleApi.PubSub.V1.Connection.get/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#get!/3","title":"GoogleApi.PubSub.V1.Connection.get!/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#head/3","title":"GoogleApi.PubSub.V1.Connection.head/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#head!/3","title":"GoogleApi.PubSub.V1.Connection.head!/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#new/0","title":"GoogleApi.PubSub.V1.Connection.new/0","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.PubSub.V1.Connection.html#new/1","title":"GoogleApi.PubSub.V1.Connection.new/1","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.PubSub.V1.Connection.html#options/3","title":"GoogleApi.PubSub.V1.Connection.options/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#options!/3","title":"GoogleApi.PubSub.V1.Connection.options!/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#patch/4","title":"GoogleApi.PubSub.V1.Connection.patch/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#patch!/4","title":"GoogleApi.PubSub.V1.Connection.patch!/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#post/4","title":"GoogleApi.PubSub.V1.Connection.post/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#post!/4","title":"GoogleApi.PubSub.V1.Connection.post!/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#put/4","title":"GoogleApi.PubSub.V1.Connection.put/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#put!/4","title":"GoogleApi.PubSub.V1.Connection.put!/4","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#request/2","title":"GoogleApi.PubSub.V1.Connection.request/2","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.PubSub.V1.Connection.html#request!/2","title":"GoogleApi.PubSub.V1.Connection.request!/2","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.PubSub.V1.Connection.html#trace/3","title":"GoogleApi.PubSub.V1.Connection.trace/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#trace!/3","title":"GoogleApi.PubSub.V1.Connection.trace!/3","module":"GoogleApi.PubSub.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.PubSub.V1.Connection.html#t:option/0","title":"GoogleApi.PubSub.V1.Connection.option/0","module":"GoogleApi.PubSub.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Deserializer.html","title":"GoogleApi.PubSub.V1.Deserializer","module":"GoogleApi.PubSub.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest","module":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest","type":"module","doc":"Request for the Acknowledge method. Attributes ackIds ([String.t]): The acknowledgment ID for the messages being acknowledged that was returned by the Pub/Sub system in the &#x60;Pull&#x60; response. Must not be empty. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest.t/0","module":"GoogleApi.PubSub.V1.Model.AcknowledgeRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Binding.html","title":"GoogleApi.PubSub.V1.Model.Binding","module":"GoogleApi.PubSub.V1.Model.Binding","type":"module","doc":"Associates &#x60;members&#x60; with a &#x60;role&#x60;. Attributes condition (Expr): Unimplemented. The condition that is associated with this binding. NOTE: an unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. Defaults to: null. members ([String.t]): Specifies the identities requesting access for a Cloud Platform resource. &#x60;members&#x60; can have the following values: &#x60;allUsers&#x60;: A special identifier that represents anyone who is on the internet; with or without a Google account. &#x60;allAuthenticatedUsers&#x60;: A special identifier that represents anyone who is authenticated with a Google account or a service account. &#x60;user:{emailid}&#x60;: An email address that represents a specific Google account. For example, &#x60;alice@gmail.com&#x60; . &#x60;serviceAccount:{emailid}&#x60;: An email address that represents a service account. For example, &#x60;my-other-app@appspot.gserviceaccount.com&#x60;. &#x60;group:{emailid}&#x60;: An email address that represents a Google group. For example, &#x60;admins@example.com&#x60;. &#x60;domain:{domain}&#x60;: The G Suite domain (primary) that represents all the users of that domain. For example, &#x60;google.com&#x60; or &#x60;example.com&#x60;. Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Binding.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Binding.decode/2","module":"GoogleApi.PubSub.V1.Model.Binding","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Binding.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Binding.t/0","module":"GoogleApi.PubSub.V1.Model.Binding","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest","module":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest","type":"module","doc":"Request for the &#x60;CreateSnapshot&#x60; method. Attributes labels (%{optional(String.t) &#x3D;&gt; String.t}): See &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. Defaults to: null. subscription (String.t): The subscription whose backlog the snapshot retains. Specifically, the created snapshot is guaranteed to retain: (a) The existing backlog on the subscription. More precisely, this is defined as the messages in the subscription&#39;s backlog that are unacknowledged upon the successful completion of the &#x60;CreateSnapshot&#x60; request; as well as: (b) Any messages published to the subscription&#39;s topic following the successful completion of the CreateSnapshot request. Format is &#x60;projects/{project}/subscriptions/{sub}&#x60;. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest.t/0","module":"GoogleApi.PubSub.V1.Model.CreateSnapshotRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Empty.html","title":"GoogleApi.PubSub.V1.Model.Empty","module":"GoogleApi.PubSub.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.PubSub.V1.Model.Empty.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Empty.decode/2","module":"GoogleApi.PubSub.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Empty.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Empty.t/0","module":"GoogleApi.PubSub.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy","module":"GoogleApi.PubSub.V1.Model.ExpirationPolicy","type":"module","doc":"A policy that specifies the conditions for resource expiration (i.e., automatic resource deletion). Attributes ttl (String.t): Specifies the &quot;time-to-live&quot; duration for an associated resource. The resource expires if it is not active for a period of &#x60;ttl&#x60;. The definition of &quot;activity&quot; depends on the type of the associated resource. The minimum and maximum allowed values for &#x60;ttl&#x60; depend on the type of the associated resource, as well. If &#x60;ttl&#x60; is not set, the associated resource never expires. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.decode/2","module":"GoogleApi.PubSub.V1.Model.ExpirationPolicy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ExpirationPolicy.t/0","module":"GoogleApi.PubSub.V1.Model.ExpirationPolicy","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Expr.html","title":"GoogleApi.PubSub.V1.Model.Expr","module":"GoogleApi.PubSub.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (String.t): An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. Defaults to: null. expression (String.t): Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. Defaults to: null. location (String.t): An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. Defaults to: null. title (String.t): An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Expr.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Expr.decode/2","module":"GoogleApi.PubSub.V1.Model.Expr","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Expr.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Expr.t/0","module":"GoogleApi.PubSub.V1.Model.Expr","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse","module":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse","type":"module","doc":"Response for the &#x60;ListSnapshots&#x60; method. Attributes nextPageToken (String.t): If not empty, indicates that there may be more snapshot that match the request; this value should be passed in a new &#x60;ListSnapshotsRequest&#x60;. Defaults to: null. snapshots ([Snapshot]): The resulting snapshots. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.ListSnapshotsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse","module":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse","type":"module","doc":"Response for the &#x60;ListSubscriptions&#x60; method. Attributes nextPageToken (String.t): If not empty, indicates that there may be more subscriptions that match the request; this value should be passed in a new &#x60;ListSubscriptionsRequest&#x60; to get more subscriptions. Defaults to: null. subscriptions ([Subscription]): The subscriptions that match the request. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.ListSubscriptionsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse","module":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse","type":"module","doc":"Response for the &#x60;ListTopicSnapshots&#x60; method. Attributes nextPageToken (String.t): If not empty, indicates that there may be more snapshots that match the request; this value should be passed in a new &#x60;ListTopicSnapshotsRequest&#x60; to get more snapshots. Defaults to: null. snapshots ([String.t]): The names of the snapshots that match the request. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.ListTopicSnapshotsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse","module":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse","type":"module","doc":"Response for the &#x60;ListTopicSubscriptions&#x60; method. Attributes nextPageToken (String.t): If not empty, indicates that there may be more subscriptions that match the request; this value should be passed in a new &#x60;ListTopicSubscriptionsRequest&#x60; to get more subscriptions. Defaults to: null. subscriptions ([String.t]): The names of the subscriptions that match the request. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.ListTopicSubscriptionsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse","module":"GoogleApi.PubSub.V1.Model.ListTopicsResponse","type":"module","doc":"Response for the &#x60;ListTopics&#x60; method. Attributes nextPageToken (String.t): If not empty, indicates that there may be more topics that match the request; this value should be passed in a new &#x60;ListTopicsRequest&#x60;. Defaults to: null. topics ([Topic]): The resulting topics. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.ListTopicsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ListTopicsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.ListTopicsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest","module":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest","type":"module","doc":"Request for the ModifyAckDeadline method. Attributes ackDeadlineSeconds (integer()): The new ack deadline with respect to the time this request was sent to the Pub/Sub system. For example, if the value is 10, the new ack deadline will expire 10 seconds after the &#x60;ModifyAckDeadline&#x60; call was made. Specifying zero might immediately make the message available for delivery to another subscriber client. This typically results in an increase in the rate of message redeliveries (that is, duplicates). The minimum deadline you can specify is 0 seconds. The maximum deadline you can specify is 600 seconds (10 minutes). Defaults to: null. ackIds ([String.t]): List of acknowledgment IDs. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest.t/0","module":"GoogleApi.PubSub.V1.Model.ModifyAckDeadlineRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest","module":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest","type":"module","doc":"Request for the ModifyPushConfig method. Attributes pushConfig (PushConfig): The push configuration for future deliveries. An empty &#x60;pushConfig&#x60; indicates that the Pub/Sub system should stop pushing messages from the given subscription and allow messages to be pulled and acknowledged - effectively pausing the subscription if &#x60;Pull&#x60; or &#x60;StreamingPull&#x60; is not called. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest.t/0","module":"GoogleApi.PubSub.V1.Model.ModifyPushConfigRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.OidcToken.html","title":"GoogleApi.PubSub.V1.Model.OidcToken","module":"GoogleApi.PubSub.V1.Model.OidcToken","type":"module","doc":"Contains information needed for generating an OpenID Connect token. Attributes audience (String.t): Audience to be used when generating OIDC token. The audience claim identifies the recipients that the JWT is intended for. The audience value is a single case-sensitive string. Having multiple values (array) for the audience field is not supported. More info about the OIDC JWT token audience here: https://tools.ietf.org/html/rfc7519#section-4.1.3 Note: if not specified, the Push endpoint URL will be used. Defaults to: null. serviceAccountEmail (String.t): Service account email to be used for generating the OIDC token. The caller (for CreateSubscription, UpdateSubscription, and ModifyPushConfig RPCs) must have the iam.serviceAccounts.actAs permission for the service account. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.OidcToken.html#decode/2","title":"GoogleApi.PubSub.V1.Model.OidcToken.decode/2","module":"GoogleApi.PubSub.V1.Model.OidcToken","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.OidcToken.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.OidcToken.t/0","module":"GoogleApi.PubSub.V1.Model.OidcToken","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Policy.html","title":"GoogleApi.PubSub.V1.Model.Policy","module":"GoogleApi.PubSub.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A &#x60;Policy&#x60; consists of a list of &#x60;bindings&#x60;. A &#x60;binding&#x60; binds a list of &#x60;members&#x60; to a &#x60;role&#x60;, where the members can be user accounts, Google groups, Google domains, and service accounts. A &#x60;role&#x60; is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes bindings ([Binding]): Associates a list of &#x60;members&#x60; to a &#x60;role&#x60;. &#x60;bindings&#x60; with no members will result in an error. Defaults to: null. etag (binary()): &#x60;etag&#x60; is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the &#x60;etag&#x60; in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An &#x60;etag&#x60; is returned in the response to &#x60;getIamPolicy&#x60;, and systems are expected to put that etag in the request to &#x60;setIamPolicy&#x60; to ensure that their change will be applied to the same version of the policy. If no &#x60;etag&#x60; is provided in the call to &#x60;setIamPolicy&#x60;, then the existing policy is overwritten blindly. Defaults to: null. version (integer()): Deprecated. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Policy.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Policy.decode/2","module":"GoogleApi.PubSub.V1.Model.Policy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Policy.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Policy.t/0","module":"GoogleApi.PubSub.V1.Model.Policy","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html","title":"GoogleApi.PubSub.V1.Model.PublishRequest","module":"GoogleApi.PubSub.V1.Model.PublishRequest","type":"module","doc":"Request for the Publish method. Attributes messages ([PubsubMessage]): The messages to publish. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PublishRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.PublishRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PublishRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PublishRequest.t/0","module":"GoogleApi.PubSub.V1.Model.PublishRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html","title":"GoogleApi.PubSub.V1.Model.PublishResponse","module":"GoogleApi.PubSub.V1.Model.PublishResponse","type":"module","doc":"Response for the &#x60;Publish&#x60; method. Attributes messageIds ([String.t]): The server-assigned ID of each published message, in the same order as the messages in the request. IDs are guaranteed to be unique within the topic. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PublishResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.PublishResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PublishResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PublishResponse.t/0","module":"GoogleApi.PubSub.V1.Model.PublishResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html","title":"GoogleApi.PubSub.V1.Model.PubsubMessage","module":"GoogleApi.PubSub.V1.Model.PubsubMessage","type":"module","doc":"A message that is published by publishers and consumed by subscribers. The message must contain either a non-empty data field or at least one attribute. Note that client libraries represent this object differently depending on the language. See the corresponding &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/reference/libraries&quot;&gt;client library documentation&lt;/a&gt; for more information. See &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/quotas&quot;&gt;Quotas and limits&lt;/a&gt; for more information about message limits. Attributes attributes (%{optional(String.t) &#x3D;&gt; String.t}): Optional attributes for this message. Defaults to: null. data (binary()): The message data field. If this field is empty, the message must contain at least one attribute. Defaults to: null. messageId (String.t): ID of this message, assigned by the server when the message is published. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a &#x60;PubsubMessage&#x60; via a &#x60;Pull&#x60; call or a push delivery. It must not be populated by the publisher in a &#x60;Publish&#x60; call. Defaults to: null. publishTime (DateTime.t): The time at which the message was published, populated by the server when it receives the &#x60;Publish&#x60; call. It must not be populated by the publisher in a &#x60;Publish&#x60; call. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PubsubMessage.decode/2","module":"GoogleApi.PubSub.V1.Model.PubsubMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PubsubMessage.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PubsubMessage.t/0","module":"GoogleApi.PubSub.V1.Model.PubsubMessage","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PullRequest.html","title":"GoogleApi.PubSub.V1.Model.PullRequest","module":"GoogleApi.PubSub.V1.Model.PullRequest","type":"module","doc":"Request for the &#x60;Pull&#x60; method. Attributes maxMessages (integer()): The maximum number of messages returned for this request. The Pub/Sub system may return fewer than the number specified. Defaults to: null. returnImmediately (boolean()): If this field set to true, the system will respond immediately even if it there are no messages available to return in the &#x60;Pull&#x60; response. Otherwise, the system may wait (for a bounded amount of time) until at least one message is available, rather than returning no messages. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PullRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PullRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.PullRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PullRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PullRequest.t/0","module":"GoogleApi.PubSub.V1.Model.PullRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PullResponse.html","title":"GoogleApi.PubSub.V1.Model.PullResponse","module":"GoogleApi.PubSub.V1.Model.PullResponse","type":"module","doc":"Response for the &#x60;Pull&#x60; method. Attributes receivedMessages ([ReceivedMessage]): Received Pub/Sub messages. The list will be empty if there are no more messages available in the backlog. For JSON, the response can be entirely empty. The Pub/Sub system may return fewer than the &#x60;maxMessages&#x60; requested even if there are more messages available in the backlog. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PullResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PullResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.PullResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PullResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PullResponse.t/0","module":"GoogleApi.PubSub.V1.Model.PullResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.PushConfig.html","title":"GoogleApi.PubSub.V1.Model.PushConfig","module":"GoogleApi.PubSub.V1.Model.PushConfig","type":"module","doc":"Configuration for a push delivery endpoint. Attributes attributes (%{optional(String.t) &#x3D;&gt; String.t}): Endpoint configuration attributes. Every endpoint has a set of API supported attributes that can be used to control different aspects of the message delivery. The currently supported attribute is &#x60;x-goog-version&#x60;, which you can use to change the format of the pushed message. This attribute indicates the version of the data expected by the endpoint. This controls the shape of the pushed message (i.e., its fields and metadata). The endpoint version is based on the version of the Pub/Sub API. If not present during the &#x60;CreateSubscription&#x60; call, it will default to the version of the API used to make such call. If not present during a &#x60;ModifyPushConfig&#x60; call, its value will not be changed. &#x60;GetSubscription&#x60; calls will always return a valid version, even if the subscription was created without this attribute. The possible values for this attribute are: &#x60;v1beta1&#x60;: uses the push format defined in the v1beta1 Pub/Sub API. &#x60;v1&#x60; or &#x60;v1beta2&#x60;: uses the push format defined in the v1 Pub/Sub API. Defaults to: null. oidcToken (OidcToken): If specified, Pub/Sub will generate and attach an OIDC JWT token as an &#x60;Authorization&#x60; header in the HTTP request for every pushed message. Defaults to: null. pushEndpoint (String.t): A URL locating the endpoint to which messages should be pushed. For example, a Webhook endpoint might use &quot;https://example.com/push&quot;. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.PushConfig.html#decode/2","title":"GoogleApi.PubSub.V1.Model.PushConfig.decode/2","module":"GoogleApi.PubSub.V1.Model.PushConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.PushConfig.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.PushConfig.t/0","module":"GoogleApi.PubSub.V1.Model.PushConfig","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage","module":"GoogleApi.PubSub.V1.Model.ReceivedMessage","type":"module","doc":"A message and its corresponding acknowledgment ID. Attributes ackId (String.t): This ID can be used to acknowledge the received message. Defaults to: null. message (PubsubMessage): The message. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html#decode/2","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage.decode/2","module":"GoogleApi.PubSub.V1.Model.ReceivedMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.ReceivedMessage.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.ReceivedMessage.t/0","module":"GoogleApi.PubSub.V1.Model.ReceivedMessage","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html","title":"GoogleApi.PubSub.V1.Model.SeekRequest","module":"GoogleApi.PubSub.V1.Model.SeekRequest","type":"module","doc":"Request for the &#x60;Seek&#x60; method. Attributes snapshot (String.t): The snapshot to seek to. The snapshot&#39;s topic must be the same as that of the provided subscription. Format is &#x60;projects/{project}/snapshots/{snap}&#x60;. Defaults to: null. time (DateTime.t): The time to seek to. Messages retained in the subscription that were published before this time are marked as acknowledged, and messages retained in the subscription that were published after this time are marked as unacknowledged. Note that this operation affects only those messages retained in the subscription (configured by the combination of &#x60;message_retention_duration&#x60; and &#x60;retain_acked_messages&#x60;). For example, if &#x60;time&#x60; corresponds to a point before the message retention window (or to a point before the system&#39;s notion of the subscription creation time), only retained messages will be marked as unacknowledged, and already-expunged messages will not be restored. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SeekRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.SeekRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.SeekRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SeekRequest.t/0","module":"GoogleApi.PubSub.V1.Model.SeekRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html","title":"GoogleApi.PubSub.V1.Model.SeekResponse","module":"GoogleApi.PubSub.V1.Model.SeekResponse","type":"module","doc":"Response for the &#x60;Seek&#x60; method (this response is empty). Attributes"},{"ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SeekResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.SeekResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.SeekResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SeekResponse.t/0","module":"GoogleApi.PubSub.V1.Model.SeekResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest","module":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for &#x60;SetIamPolicy&#x60; method. Attributes policy (Policy): REQUIRED: The complete policy to be applied to the &#x60;resource&#x60;. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest.t/0","module":"GoogleApi.PubSub.V1.Model.SetIamPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Snapshot.html","title":"GoogleApi.PubSub.V1.Model.Snapshot","module":"GoogleApi.PubSub.V1.Model.Snapshot","type":"module","doc":"A snapshot resource. Snapshots are used in &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview&quot;&gt;Seek&lt;/a&gt; operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. Attributes expireTime (DateTime.t): The snapshot is guaranteed to exist up until this time. A newly-created snapshot expires no later than 7 days from the time of its creation. Its exact lifetime is determined at creation by the existing backlog in the source subscription. Specifically, the lifetime of the snapshot is &#x60;7 days - (age of oldest unacked message in the subscription)&#x60;. For example, consider a subscription whose oldest unacked message is 3 days old. If a snapshot is created from this subscription, the snapshot -- which will always capture this 3-day-old backlog as long as the snapshot exists -- will expire in 4 days. The service will refuse to create a snapshot that would expire in less than 1 hour after creation. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): See &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. Defaults to: null. name (String.t): The name of the snapshot. Defaults to: null. topic (String.t): The name of the topic from which this snapshot is retaining messages. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Snapshot.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Snapshot.decode/2","module":"GoogleApi.PubSub.V1.Model.Snapshot","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Snapshot.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Snapshot.t/0","module":"GoogleApi.PubSub.V1.Model.Snapshot","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Subscription.html","title":"GoogleApi.PubSub.V1.Model.Subscription","module":"GoogleApi.PubSub.V1.Model.Subscription","type":"module","doc":"A subscription resource. Attributes ackDeadlineSeconds (integer()): The approximate amount of time (on a best-effort basis) Pub/Sub waits for the subscriber to acknowledge receipt before resending the message. In the interval after the message is delivered and before it is acknowledged, it is considered to be &lt;i&gt;outstanding&lt;/i&gt;. During that time period, the message will not be redelivered (on a best-effort basis). For pull subscriptions, this value is used as the initial value for the ack deadline. To override this value for a given message, call &#x60;ModifyAckDeadline&#x60; with the corresponding &#x60;ack_id&#x60; if using non-streaming pull or send the &#x60;ack_id&#x60; in a &#x60;StreamingModifyAckDeadlineRequest&#x60; if using streaming pull. The minimum custom deadline you can specify is 10 seconds. The maximum custom deadline you can specify is 600 seconds (10 minutes). If this parameter is 0, a default value of 10 seconds is used. For push delivery, this value is also used to set the request timeout for the call to the push endpoint. If the subscriber never acknowledges the message, the Pub/Sub system will eventually redeliver the message. Defaults to: null. expirationPolicy (ExpirationPolicy): A policy that specifies the conditions for this subscription&#39;s expiration. A subscription is considered active as long as any connected subscriber is successfully consuming messages from the subscription or is issuing operations on the subscription. If &#x60;expiration_policy&#x60; is not set, a default policy with &#x60;ttl&#x60; of 31 days will be used. The minimum allowed value for &#x60;expiration_policy.ttl&#x60; is 1 day. &lt;b&gt;BETA:&lt;/b&gt; This feature is part of a beta release. This API might be changed in backward-incompatible ways and is not recommended for production use. It is not subject to any SLA or deprecation policy. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): See &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. Defaults to: null. messageRetentionDuration (String.t): How long to retain unacknowledged messages in the subscription&#39;s backlog, from the moment a message is published. If &#x60;retain_acked_messages&#x60; is true, then this also configures the retention of acknowledged messages, and thus configures how far back in time a &#x60;Seek&#x60; can be done. Defaults to 7 days. Cannot be more than 7 days or less than 10 minutes. Defaults to: null. name (String.t): The name of the subscription. It must have the format &#x60;&quot;projects/{project}/subscriptions/{subscription}&quot;&#x60;. &#x60;{subscription}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;_&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. Defaults to: null. pushConfig (PushConfig): If push delivery is used with this subscription, this field is used to configure it. An empty &#x60;pushConfig&#x60; signifies that the subscriber will pull and ack messages using API methods. Defaults to: null. retainAckedMessages (boolean()): Indicates whether to retain acknowledged messages. If true, then messages are not expunged from the subscription&#39;s backlog, even if they are acknowledged, until they fall out of the &#x60;message_retention_duration&#x60; window. This must be true if you would like to &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/replay-overview#seek_to_a_time&quot;&gt; Seek to a timestamp&lt;/a&gt;. Defaults to: null. topic (String.t): The name of the topic from which this subscription is receiving messages. Format is &#x60;projects/{project}/topics/{topic}&#x60;. The value of this field will be &#x60;deleted-topic&#x60; if the topic has been deleted. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Subscription.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Subscription.decode/2","module":"GoogleApi.PubSub.V1.Model.Subscription","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Subscription.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Subscription.t/0","module":"GoogleApi.PubSub.V1.Model.Subscription","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): The set of permissions to check for the &#x60;resource&#x60;. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest.t/0","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): A subset of &#x60;TestPermissionsRequest.permissions&#x60; that the caller is allowed. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.decode/2","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse.t/0","module":"GoogleApi.PubSub.V1.Model.TestIamPermissionsResponse","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.Topic.html","title":"GoogleApi.PubSub.V1.Model.Topic","module":"GoogleApi.PubSub.V1.Model.Topic","type":"module","doc":"A topic resource. Attributes labels (%{optional(String.t) &#x3D;&gt; String.t}): See &lt;a href&#x3D;&quot;https://cloud.google.com/pubsub/docs/labels&quot;&gt; Creating and managing labels&lt;/a&gt;. Defaults to: null. name (String.t): The name of the topic. It must have the format &#x60;&quot;projects/{project}/topics/{topic}&quot;&#x60;. &#x60;{topic}&#x60; must start with a letter, and contain only letters (&#x60;[A-Za-z]&#x60;), numbers (&#x60;[0-9]&#x60;), dashes (&#x60;-&#x60;), underscores (&#x60;_&#x60;), periods (&#x60;.&#x60;), tildes (&#x60;~&#x60;), plus (&#x60;+&#x60;) or percent signs (&#x60;%&#x60;). It must be between 3 and 255 characters in length, and it must not start with &#x60;&quot;goog&quot;&#x60;. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.Topic.html#decode/2","title":"GoogleApi.PubSub.V1.Model.Topic.decode/2","module":"GoogleApi.PubSub.V1.Model.Topic","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.Topic.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.Topic.t/0","module":"GoogleApi.PubSub.V1.Model.Topic","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest","module":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest","type":"module","doc":"Request for the UpdateSnapshot method. Attributes snapshot (Snapshot): The updated snapshot object. Defaults to: null. updateMask (String.t): Indicates which fields in the provided snapshot to update. Must be specified and non-empty. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest.t/0","module":"GoogleApi.PubSub.V1.Model.UpdateSnapshotRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest","module":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest","type":"module","doc":"Request for the UpdateSubscription method. Attributes subscription (Subscription): The updated subscription object. Defaults to: null. updateMask (String.t): Indicates which fields in the provided subscription to update. Must be specified and non-empty. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest.t/0","module":"GoogleApi.PubSub.V1.Model.UpdateSubscriptionRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest","module":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest","type":"module","doc":"Request for the UpdateTopic method. Attributes topic (Topic): The updated topic object. Defaults to: null. updateMask (String.t): Indicates which fields in the provided topic to update. Must be specified and non-empty. Note that if &#x60;update_mask&#x60; contains &quot;message_storage_policy&quot; then the new value will be determined based on the policy configured at the project or organization level. The &#x60;message_storage_policy&#x60; must not be set in the &#x60;topic&#x60; provided above. Defaults to: null."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html#decode/2","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.decode/2","module":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.html#t:t/0","title":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest.t/0","module":"GoogleApi.PubSub.V1.Model.UpdateTopicRequest","type":"type","doc":""},{"ref":"GoogleApi.PubSub.V1.RequestBuilder.html","title":"GoogleApi.PubSub.V1.RequestBuilder","module":"GoogleApi.PubSub.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]